<?php

namespace core\config;

/**
 * Exception on config parsing/processing
 */
class ConfigException extends \core\exception\CustomException
{
	public function __construct(?string $message = null, int $code = 0, ?\Throwable $previous = null, ?array $tags = null)
	{
		$this->tags = array(
			new \core\log\tags\Error(),
			new \core\log\tags\Config(),
		);
		parent::__construct($message, $code, $previous, $tags);
	}
}

?>
