<?php

namespace core\config;

/**
 * Parent class to all plugins configuration
 */
abstract readonly class PluginConfiguration
{
	/**
	 * Priority of the plugin.
	 *
	 * Higher is first (priority of 3 will override priority of 1)
	 *
	 * @var \int
	 */
	protected int $priority;
}

?>
