<?php

namespace core\config\class\core\log\client;

/**
 * Authentication settings for Mqtt
 */
readonly class MqttAuth extends \core\config\Configuration
{
	/**
	 * Username used for authentication
	 *
	 * Default to null
	 *
	 * @var ?\string
	 */
	protected ?string $username;

	/**
	 * Password used for authentication
	 *
	 * Default to null
	 *
	 * @var ?\string
	 */
	protected ?string $password;
}

?>
