<?php

namespace core\config\class\core\log\client;

/**
 * Mqtt settings
 */
readonly class MqttSettings extends \core\config\Configuration
{
	/**
	 * Client id
	 *
	 * Default to "php-mqtt-client"
	 *
	 * @var \string
	 */
	protected string $client_id;

	/**
	 * Hostname
	 *
	 * Default to "localhost"
	 *
	 * @var \string
	 */
	protected string $hostname;

	/**
	 * Port
	 *
	 * Default to 1883
	 *
	 * @var \int
	 */
	protected int $port;

	/**
	 * Authentication settings
	 *
	 * @var \core\config\class\core\log\client\MqttAuth
	 */
	protected \core\config\class\core\log\client\MqttAuth $auth;
}

?>
