<?php

namespace core\config\class\core\log\client;

/**
 * Mqtt configuration
 */
readonly class Mqtt extends \core\config\class\core\log\ClientConfiguration
{
	/**
	 * Name of the client. Must be "Mqtt" for this one !
	 *
	 * @var \string
	 */
	protected string $name;

	/**
	 * Settings for the Mqtt client
	 *
	 * @var \core\config\class\core\log\client\MqttSettings
	 */
	protected \core\config\class\core\log\client\MqttSettings $settings;
}

?>
