<?php

namespace core\config\class\core\log\client;

/**
 * Redis/Redict/Valkey configuration
 */
readonly class Redis extends \core\config\class\core\log\ClientConfiguration
{
	/**
	 * Name of the client. Must be "Redis" for this one !
	 *
	 * @var \string
	 */
	protected string $name;

	/**
	 * Settings for the Redis client
	 *
	 * @var \core\config\class\core\log\client\RedisSettings
	 */
	protected \core\config\class\core\log\client\RedisSettings $settings;
}

?>
