<?php

namespace core\config\class\core\log\client;

/**
 * Redis/Redict/Valkey settings
 */
readonly class RedisSettings extends \core\config\Configuration
{
	/**
	 * Hostname
	 *
	 * Default to "127.0.0.1"
	 *
	 * @var \string
	 */
	protected string $hostname;

	/**
	 * Port
	 *
	 * Default to null
	 *
	 * @var ?\int
	 */
	protected ?int $port;

	/**
	 * Authentication settings
	 *
	 * @var \core\config\class\core\log\client\RedisAuth
	 */
	protected \core\config\class\core\log\client\RedisAuth $auth;
}

?>
