<?php

namespace core\log;

/**
 * Exception on log processing
 */
class LogException extends \core\exception\CustomException
{
	public function __construct(?string $message = null, int $code = 0, ?\Throwable $previous = null, ?array $tags = null)
	{
		$this->tags = array(
			new \core\log\tags\Error(),
			new \core\log\tags\Logging(),
		);
		parent::__construct($message, $code, $previous, $tags);
	}
}

?>
