<?php

namespace core\log;

/**
 * Exception on stream processing
 */
class StreamException extends \core\exception\CustomException
{
	public function __construct(?string $message = null, int $code = 0, ?\Throwable $previous = null, ?array $tags = null)
	{
		$this->tags = array(
			new \core\log\tag\Error(),
			new \core\log\tag\Logging(),
		),
		parent::__construct($message, $code, $previous, $tags)
	}
}

?>
